%global use_libc_semaphore 1

%define major             5
%define libname           %mklibname xrootd %{major}
%define oldlibname        %mklibname xrootd 4
%define develname         %mklibname xrootd -d
%define libclientname     %mklibname xrootd-client %{major}
%define oldlibclientname  %mklibname xrootd-client 4
%define develclientname   %mklibname xrootd-client -d
%define libservername     %mklibname xrootd-server %{major}
%define oldlibservername  %mklibname xrootd-server 4
%define develservername   %mklibname xrootd-server -d
%define develprivatename  %mklibname xrootd-private -d
# there is no scripts in /usr/bin
%undefine __brp_mangle_shebangs

%ifarch %{ix86} %{arm}
%global ceph 0
%else
%global ceph 1
%endif

Name:		xrootd
Version:	5.7.0
Release:	%mkrel 1
Summary:	Extended ROOT file server
Group:		System/Libraries
License:	LGPLv3+
URL:		https://xrootd.slac.stanford.edu
Source0:	https://xrootd.slac.stanford.edu/download/v%{version}/%{name}-%{version}.tar.gz
# Patch0:		0001-xrootd-fix-linking-python.patch

BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	python3-setuptools
BuildRequires:	fuse-devel
BuildRequires:	krb5-devel
BuildRequires:	libcurl-devel
BuildRequires:	libxml2-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	selinux-policy-devel
BuildRequires:	systemd-devel
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx
BuildRequires:	policycoreutils-python-utils
BuildRequires:	json-c-devel
BuildRequires:	libmacaroons-devel
BuildRequires:	libuuid-devel
BuildRequires:	tinyxml-devel
BuildRequires:	pkgconfig(voms-2.0)
BuildRequires:	davix-devel
%if %{ceph}
BuildRequires:	librados-devel
BuildRequires:	libradosstriper-devel
%endif

Requires:	%{name}-server = %{version}-%{release}
Requires:	%{name}-selinux = %{version}-%{release}


%description
The Extended root file server consists of a file server called xrootd
and a cluster management server called cmsd.

The xrootd server was developed for the root analysis framework to
serve root files. However, the server is agnostic to file types and
provides POSIX-like access to any type of file.

The cmsd server is the next generation version of the olbd server,
originally developed to cluster and load balance Objectivity/DB AMS
database servers. It provides enhanced capability along with lower
latency and increased throughput.

%package server
Summary:	Xrootd server daemons
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libclientname} = %{version}-%{release}
Requires:	%{libservername} = %{version}-%{release}
Requires:	expect
Requires(pre):		shadow-utils
%{?systemd_requires}

%description server
This package contains the xrootd servers without the SELinux support.
Unless you are installing on a system without SELinux also install the
xrootd-selinux package.

%package selinux
Summary:	SELinux policy module for the xrootd server
Group:		System/Libraries
BuildArch:	noarch
Requires:	selinux-policy
Requires(post):		policycoreutils
Requires(post):		policycoreutils-python-utils
Requires(postun):	policycoreutils
Requires(postun):	policycoreutils-python-utils

%description selinux
This package contains SELinux policy module for the xrootd server package.

%package -n %{libname}
Summary:	Libraries used by xrootd servers and clients
Group:		System/Libraries
Provides:	xrootd-libs = %{version}
Obsoletes:	%oldlibname <= %{version}

%description -n %{libname}
This package contains libraries used by the xrootd servers and clients.

%package -n %{develname}
Summary:	Development files for xrootd
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package contains header files and development libraries for xrootd
development.

%package -n %{libclientname}
Summary:	Libraries used by xrootd clients
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%oldlibclientname <= %{version}
Provides:	%{name}-client-libs = %{version}-%{release}

%description -n %{libclientname}
This package contains libraries used by xrootd clients.

%package -n %{develclientname}
Summary:	Development files for xrootd clients
Group:		Development/C++
Provides:	%{name}-client-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Requires:	%{libclientname} = %{version}-%{release}

%description -n %{develclientname}
This package contains header files and development libraries for xrootd
client development.

%package -n %{libservername}
Summary:	Libraries used by xrootd servers
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libclientname} = %{version}-%{release}
Obsoletes:	%oldlibservername <= %{version}
Provides:	%{name}-server-libs = %{version}-%{release}

%description -n %{libservername}
This package contains libraries used by xrootd servers.

%package -n %{develservername}
Summary:	Development files for xrootd servers
Group:		Development/C++
Provides:	%{name}-server-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Requires:	%{develclientname} = %{version}-%{release}
Requires:	%{libservername} = %{version}-%{release}

%description -n %{develservername}
This package contains header files and development libraries for xrootd
server development.

%package -n %{develprivatename}
Summary:	Legacy xrootd headers
Group:		Development/C++
Provides:	%{name}-private-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Requires:	%{develclientname} = %{version}-%{release}
Requires:	%{develservername} = %{version}-%{release}

%description -n %{develprivatename}
This package contains some private xrootd headers. The use of these
headers is strongly discouraged. Backward compatibility between
versions is not guaranteed for these headers.

%package client
Summary:	Xrootd command line client tools
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libclientname} = %{version}-%{release}

%description client
This package contains the command line tools used to communicate with
xrootd servers.

%package fuse
Summary:	Xrootd FUSE tool
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libclientname} = %{version}-%{release}
Requires:	fuse

%description fuse
This package contains the FUSE (file system in user space) xrootd mount
tool.

%package -n python%{python3_pkgversion}-%{name}
Summary:	Python 3 bindings for xrootd
Group:		Development/Python
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libclientname} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{name}
This package contains Python 3 bindings for xrootd.

%package doc
Summary:	Developer documentation for the xrootd libraries
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains the API documentation of the xrootd libraries.


%package -n xrdcl-http
Summary:	HTTP client plugin for XRootD
Requires:	%{libname} = %{version}-%{release}
License:	BSD

%description -n xrdcl-http
xrdcl-http is an XRootD client plugin which allows XRootD to interact
with HTTP repositories.

%if %{ceph}
%package ceph
Summary:	XRootD plugin for interfacing with the Ceph storage platform
Requires:	%{libname} = %{version}-%{release}


%description ceph
The xrootd-ceph is an OSS layer plugin for the XRootD server for
interfacing with the Ceph storage platform.
%endif


%prep
%autosetup -p1
sed -ie "s|pyxrootd')|pyxrootd', libraries=['python3'])|" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
mkdir build
export LDFLAGS="$LDFLAGS -lpython%{python_version}"
%cmake \
    -DUSE_LIBC_SEMAPHORE:BOOL=%{use_libc_semaphore} \
%if %{ceph}
    -DXRDCEPH_SUBMODULE:BOOL=ON \
%endif
    -DENABLE_XRDCLHTTP:BOOL=ON \
    -DXRD_PYTHON_REQ_VERSION=%{python3_version}
%cmake_build

pushd build/bindings/python
%pyproject_wheel
popd

pushd packaging/common
make -f /usr/share/selinux/devel/Makefile
popd

doxygen Doxyfile

export PYTHONPATH=$(cd build/bindings/python/build/lib.*-%{python_version_nodots} ; pwd)
export LD_LIBRARY_PATH=${PWD}/build/src/XrdCl:${PWD}/build/src
pushd bindings/python/docs
make html SPHINXBUILD=sphinx-build-3
popd

%install
%define py3_shebang_fix echo
export PYTHONPATH=$(cd build/bindings/python/build/lib.*-%{python_version_nodots} ; pwd)
%cmake_install

pushd build/bindings/python
%pyproject_install
%pyproject_save_files pyxrootd XRootD
popd

# Service start-up scripts / unit files
mkdir -p %{buildroot}%{_unitdir}
install -m 644 packaging/common/xrootd@.service %{buildroot}%{_unitdir}
install -m 644 packaging/common/xrootd@.socket %{buildroot}%{_unitdir}
install -m 644 packaging/common/xrdhttp@.socket %{buildroot}%{_unitdir}
install -m 644 packaging/common/cmsd@.service %{buildroot}%{_unitdir}
install -m 644 packaging/common/frm_xfrd@.service %{buildroot}%{_unitdir}
install -m 644 packaging/common/frm_purged@.service %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 644 packaging/rhel/xrootd.tmpfiles %{buildroot}%{_tmpfilesdir}/%{name}.conf

# Server config
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -m 644 -p packaging/common/%{name}-clustered.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}-clustered.cfg
install -m 644 -p packaging/common/%{name}-standalone.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}-standalone.cfg
install -m 644 -p packaging/common/%{name}-filecache-clustered.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}-filecache-clustered.cfg
install -m 644 -p packaging/common/%{name}-filecache-standalone.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}-filecache-standalone.cfg
sed 's!/usr/lib64/!!' packaging/common/%{name}-http.cfg > \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}-http.cfg

# Client config
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/client.plugins.d
install -m 644 -p packaging/common/client.conf \
    %{buildroot}%{_sysconfdir}/%{name}/client.conf
sed 's!/usr/lib/!!' packaging/common/client-plugin.conf.example > \
    %{buildroot}%{_sysconfdir}/%{name}/client.plugins.d/client-plugin.conf.example
sed -e 's!/usr/lib64/!!' -e 's!-5!!' packaging/common/recorder.conf > \
    %{buildroot}%{_sysconfdir}/%{name}/client.plugins.d/recorder.conf
sed 's!/usr/lib64/!!' packaging/common/http.client.conf.example > \
    %{buildroot}%{_sysconfdir}/%{name}/client.plugins.d/xrdcl-http-plugin.conf
chmod 644 %{buildroot}%{_datadir}/%{name}/utils/XrdCmsNotify.pm

sed 's!/usr/bin/env perl!/usr/bin/perl!' -i \
    %{buildroot}%{_datadir}/%{name}/utils/netchk \
    %{buildroot}%{_datadir}/%{name}/utils/XrdCmsNotify.pm \
    %{buildroot}%{_datadir}/%{name}/utils/XrdOlbMonPerf

sed 's!/usr/bin/env bash!/bin/bash!' -i %{buildroot}%{_bindir}/xrootd-config

mkdir -p %{buildroot}%{_sysconfdir}/%{name}/config.d

mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
mkdir -p %{buildroot}%{_localstatedir}/spool/%{name}

mkdir %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 -p packaging/common/%{name}.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

mkdir -p %{buildroot}%{_datadir}/selinux/packages/%{name}
install -m 644 -p packaging/common/%{name}.pp \
    %{buildroot}%{_datadir}/selinux/packages/%{name}

# Documentation
mkdir -p %{buildroot}%{_pkgdocdir}
cp -pr doxydoc/html %{buildroot}%{_pkgdocdir}

cp -pr bindings/python/docs/build/html %{buildroot}%{_pkgdocdir}/python
rm %{buildroot}%{_pkgdocdir}/python/.buildinfo

%ldconfig_scriptlets libs

%ldconfig_scriptlets client-libs

%ldconfig_scriptlets server-libs

%pre server
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} -s /sbin/nologin \
  -d %{_localstatedir}/spool/%{name} -c "XRootD runtime user" %{name}

# Remove obsolete service
/sbin/service olbd stop >/dev/null 2>&1 || :
/sbin/chkconfig --del olbd >/dev/null 2>&1 || :

# Remove old init config when systemd is used
/sbin/service xrootd stop >/dev/null 2>&1 || :
/sbin/service cmsd stop >/dev/null 2>&1 || :
/sbin/service frm_purged stop >/dev/null 2>&1 || :
/sbin/service frm_xfrd stop >/dev/null 2>&1 || :
/sbin/chkconfig --del xrootd >/dev/null 2>&1 || :
/sbin/chkconfig --del cmsd >/dev/null 2>&1 || :
/sbin/chkconfig --del frm_purged >/dev/null 2>&1 || :
/sbin/chkconfig --del frm_xfrd >/dev/null 2>&1 || :

%post server
if [ $1 -eq 1 ] ; then
    systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun server
if [ $1 -eq 0 ] ; then
    for DAEMON in xrootd cmsd frm_purged frm xfrd; do
	for INSTANCE in `systemctl | grep $DAEMON@ | awk '{print $1;}'`; do
	    systemctl --no-reload disable $INSTANCE > /dev/null 2>&1 || :
	    systemctl stop $INSTANCE > /dev/null 2>&1 || :
	done
    done
fi

%postun server
if [ $1 -ge 1 ] ; then
    systemctl daemon-reload >/dev/null 2>&1 || :
    for DAEMON in xrootd cmsd frm_purged frm xfrd; do
	for INSTANCE in `systemctl | grep $DAEMON@ | awk '{print $1;}'`; do
	    systemctl try-restart $INSTANCE >/dev/null 2>&1 || :
	done
    done
fi

%post selinux
/usr/sbin/semodule -i %{_datadir}/selinux/packages/%{name}/%{name}.pp >/dev/null 2>&1 || :

%postun selinux
if [ $1 -eq 0 ] ; then
    /usr/sbin/semodule -r %{name} >/dev/null 2>&1 || :
fi

%files
# Empty

%files server
%{_bindir}/cconfig
%{_bindir}/cmsd
%{_bindir}/frm_admin
%{_bindir}/frm_purged
%{_bindir}/frm_xfragent
%{_bindir}/frm_xfrd
%{_bindir}/mpxstats
%{_bindir}/wait41
%{_bindir}/xrdacctest
%{_bindir}/xrdpfc_print
%{_bindir}/xrdpwdadmin
%{_bindir}/xrdsssadmin
%{_bindir}/xrootd
%{_mandir}/man8/cmsd.8*
%{_mandir}/man8/frm_admin.8*
%{_mandir}/man8/frm_purged.8*
%{_mandir}/man8/frm_xfragent.8*
%{_mandir}/man8/frm_xfrd.8*
%{_mandir}/man8/mpxstats.8*
%{_mandir}/man8/xrdpfc_print.8*
%{_mandir}/man8/xrdpwdadmin.8*
%{_mandir}/man8/xrdsssadmin.8*
%{_mandir}/man8/xrootd.8*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/utils
%{_unitdir}/*
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %{_sysconfdir}/%{name}/config.d
%attr(-,xrootd,xrootd) %config(noreplace) %{_sysconfdir}/%{name}/*.cfg
%attr(-,xrootd,xrootd) %{_localstatedir}/log/%{name}
%attr(-,xrootd,xrootd) %{_localstatedir}/spool/%{name}

%files selinux
%{_datadir}/selinux/packages/%{name}/%{name}.pp

%files -n %{libname}
%{_libdir}/libXrdAppUtils.so.*
%{_libdir}/libXrdCrypto.so.*
%{_libdir}/libXrdCryptoLite.so.*
%{_libdir}/libXrdUtils.so.*
%{_libdir}/libXrdXml.so.*
# Plugins
%{_libdir}/libXrdCksCalczcrc32-%{major}.so
%{_libdir}/libXrdCryptossl-%{major}.so
%{_libdir}/libXrdFileCache-%{major}.so
%{_libdir}/libXrdSec*-%{major}.so
%license COPYING* LICENSE

%files -n %{develname}
%{_bindir}/xrootd-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/XProtocol
%{_includedir}/%{name}/Xrd
%{_includedir}/%{name}/XrdCks
%{_includedir}/%{name}/XrdNet
%{_includedir}/%{name}/XrdOuc
%{_includedir}/%{name}/XrdSec
%{_includedir}/%{name}/XrdSys
%{_includedir}/%{name}/XrdXml
%{_includedir}/%{name}/XrdVersion.hh
%{_libdir}/libXrdAppUtils.so
%{_libdir}/libXrdCrypto.so
%{_libdir}/libXrdCryptoLite.so
%{_libdir}/libXrdUtils.so
%{_libdir}/libXrdXml.so
%dir %{_datadir}/%{name}
%{_libdir}/cmake/XRootD/*.cmake

%files -n %{libclientname}
%{_libdir}/libXrdCl.so.*
%{_libdir}/libXrdFfs.so.*
%{_libdir}/libXrdPosix.so.*
%{_libdir}/libXrdPosixPreload.so.*
%{_libdir}/libXrdSsiLib.so.*
%{_libdir}/libXrdSsiShMap.so.*

# Plugins
%{_libdir}/libXrdClProxyPlugin-%{major}.so
%{_libdir}/libXrdClRecorder-%{major}.so
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/client.conf
%dir %{_sysconfdir}/%{name}/client.plugins.d
%config(noreplace) %{_sysconfdir}/%{name}/client.plugins.d/client-plugin.conf.example
%config(noreplace) %{_sysconfdir}/%{name}/client.plugins.d/recorder.conf

%files -n %{develclientname}
%{_includedir}/%{name}/XrdCl
%{_includedir}/%{name}/XrdPosix
%{_libdir}/libXrdCl.so
%{_libdir}/libXrdFfs.so
%{_libdir}/libXrdPosix.so
%{_libdir}/libXrdPosixPreload.so

%files -n %{libservername}
%{_libdir}/libXrdHttpUtils.so.*
%{_libdir}/libXrdServer.so.*
# Plugins
%{_libdir}/libXrdBlacklistDecision-%{major}.so
%{_libdir}/libXrdBwm-%{major}.so
%{_libdir}/libXrdCmsRedirectLocal-%{major}.so
%{_libdir}/libXrdHttp-%{major}.so
%{_libdir}/libXrdHttpTPC-%{major}.so
%{_libdir}/libXrdHttpVOMS-%{major}.so
%{_libdir}/libXrdMacaroons-%{major}.so
%{_libdir}/libXrdN2No2p-%{major}.so
%{_libdir}/libXrdOssCsi-%{major}.so
%{_libdir}/libXrdOssSIgpfsT-%{major}.so
%{_libdir}/libXrdPfc-%{major}.so
%{_libdir}/libXrdPss-%{major}.so
%{_libdir}/libXrdSsi-%{major}.so
%{_libdir}/libXrdSsiLog-%{major}.so
%{_libdir}/libXrdThrottle-%{major}.so
%{_libdir}/libXrdVoms-%{major}.so
%{_libdir}/libXrdXrootd-%{major}.so
%{_libdir}/libXrdOfsPrepGPI-%{major}.so

%files -n %{develservername}
%{_includedir}/%{name}/XrdAcc
%{_includedir}/%{name}/XrdCms
%{_includedir}/%{name}/XrdHttp
%{_includedir}/%{name}/XrdOfs
%{_includedir}/%{name}/XrdOss
%{_includedir}/%{name}/XrdPfc
%{_includedir}/%{name}/XrdSfs
%{_includedir}/%{name}/XrdXrootd
%{_libdir}/libXrdHttpUtils.so
%{_libdir}/libXrdServer.so

%files -n %{develprivatename}
%{_includedir}/%{name}/private
%{_libdir}/libXrdSsiLib.so
%{_libdir}/libXrdSsiShMap.so

%files client
%{_bindir}/xrdadler32
%{_bindir}/xrdcopy
%{_bindir}/xrdcp
%{_bindir}/xrdcrc32c
%{_bindir}/xrdfs
%{_bindir}/xrdgsiproxy
%{_bindir}/xrdgsitest
%{_bindir}/xrdmapc
%{_bindir}/xrdpinls
%{_bindir}/xrdcks
%{_bindir}/xrdreplay
%{_mandir}/man1/xrdadler32.1*
%{_mandir}/man1/xrdcopy.1*
%{_mandir}/man1/xrdcp.1*
%{_mandir}/man1/xrdfs.1*
%{_mandir}/man1/xrdgsiproxy.1*
%{_mandir}/man1/xrdgsitest.1*
%{_mandir}/man1/xrdmapc.1*
%{_mandir}/man1/libXrdVoms*.1.*
%{_mandir}/man1/libXrd*VOMS*.1.*

%files fuse
%{_bindir}/xrootdfs
%{_mandir}/man1/xrootdfs.1*

%files -n python%{python3_pkgversion}-%{name} -f %{pyproject_files}
%{python3_sitearch}/xrootd*.dist-info/*.json

%files doc
%doc %{_pkgdocdir}

%files -n xrdcl-http
%{_libdir}/libXrdClHttp-5.so
%{_sysconfdir}/xrootd/client.plugins.d/xrdcl-http-plugin.conf

%if %{ceph}
%files ceph
%{_libdir}/libXrdCeph-5.so
%{_libdir}/libXrdCephXattr-5.so
%{_libdir}/libXrdCephPosix.so*
%endif


%changelog
* Thu Aug 22 2024 papoteur <papoteur> 5.7.0-1.mga10
+ Revision: 2087443
- new version 5.7.0
- disable pathfix which causes build fail
- remove or replace non used compilation options
- move .cmake files
- fix file list
- new version 5.6.4
- new link for the project
- use pyproject macros
+ daviddavid <daviddavid>
- rebuild for py3.12

* Tue Feb 28 2023 daviddavid <daviddavid> 5.5.1-2.mga9
+ Revision: 1945840
- update files list to fix build failure
- move libXrdPosixPreload.so devel file from lib sub-pkg to the right devel-sub-pkg
- move libXrdClRecorder-5.so plugin file from devel sb-pkg to the right lib sub-pkg

* Sat Nov 26 2022 mrambo3501 <mrambo3501> 5.5.1-1.mga9
+ Revision: 1911526
- use Python's bundled distutils
- fix files list
+ joequant <joequant>
- update to 5.5.1
+ neoclust <neoclust>
- New version 5.4.3

* Sat Apr 02 2022 umeabot <umeabot> 5.4.0-3.mga9
+ Revision: 1840974
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Mon Dec 13 2021 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1761869
- update to 5.4.0

* Sun Oct 03 2021 joequant <joequant> 5.3.1-1.mga9
+ Revision: 1748689
- update to 5.3.1
+ wally <wally>
- rebuild for openssl 3.0.0

* Tue Jul 20 2021 joequant <joequant> 5.3.0-1.mga9
+ Revision: 1737157
- update to 5.3.0

* Thu Jun 17 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1731012
- update to 5.2.0

* Thu Apr 15 2021 joequant <joequant> 5.1.1-3.mga9
+ Revision: 1715892
- add voms

* Sun Mar 21 2021 neoclust <neoclust> 5.1.1-2.mga9
+ Revision: 1706815
- Rebuild against python 3.9
+ joequant <joequant>
- update to 5.1.1

* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.0.3-2.mga8
+ Revision: 1650731
- rebuild for json-c

* Mon Nov 23 2020 joequant <joequant> 5.0.3-1.mga8
+ Revision: 1648735
- update to 5.0.3

* Tue Oct 06 2020 tv <tv> 5.0.2-1.mga8
+ Revision: 1632326
- 5.0.2

* Tue Aug 25 2020 joequant <joequant> 5.0.1-1.mga8
+ Revision: 1618934
- update to 5.0.1

* Fri Jun 12 2020 joequant <joequant> 4.12.3-1.mga8
+ Revision: 1592904
- update to 4.12.3

* Wed Apr 29 2020 joequant <joequant> 4.11.3-3.mga8
+ Revision: 1573182
- fix deps

* Wed Apr 29 2020 joequant <joequant> 4.11.3-2.mga8
+ Revision: 1573181
- fix deps

* Sat Apr 25 2020 joequant <joequant> 4.11.3-1.mga8
+ Revision: 1572086
- add major macro
- change group
- imported package xrootd

